Package net.shibboleth.idp.consent.logic.impl

# Class LocaleLookupFunction

java.lang.Object
net.shibboleth.idp.consent.logic.impl.LocaleLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Locale>`

public class LocaleLookupFunction extends Object implements Function<ProfileRequestContext,Locale>
Function which resolves the `Locale` from a `ProfileRequestContext`.

## Constructor Summary

Constructors
Constructor
Description
`LocaleLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Locale`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### LocaleLookupFunction

public LocaleLookupFunction()

## Method Details

### apply

@Nullable public Locale apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Locale>`